Skip to main content
GET
/
api
/
v1
/
whatsapp-accounts
/
{id}
/
proxy
/
{path}
/
cURL
curl --request GET \
  --url https://alpha-plagiocephalic-darrell.ngrok-free.dev/api/v1/whatsapp-accounts/{id}/proxy/{path}/ \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://alpha-plagiocephalic-darrell.ngrok-free.dev/api/v1/whatsapp-accounts/{id}/proxy/{path}/"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://alpha-plagiocephalic-darrell.ngrok-free.dev/api/v1/whatsapp-accounts/{id}/proxy/{path}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "waId": "<string>",
  "phoneNumbers": "<string>",
  "templatesUrl": "<string>",
  "name": "<string>"
}
This endpoint lets you proxy a GET request to the Official WhatsApp Business API. You will be authenticated to the WhatsApp account you are proxying for.

Example: List All Message Templates

To list all WhatsApp message templates for a Business Account, use the WABA ID as the path:
curl -X GET "https://backend.wassist.app/api/v1/whatsapp-accounts/{account_id}/proxy/{waba_id}/message_templates" \
  -H "X-API-Key: YOUR_API_KEY"
const response = await fetch(
  `https://backend.wassist.app/api/v1/whatsapp-accounts/${accountId}/proxy/${wabaId}/message_templates`,
  {
    headers: {
      'X-API-Key': 'YOUR_API_KEY'
    }
  }
);

const templates = await response.json();
console.log(templates.data);
import requests

response = requests.get(
    f"https://backend.wassist.app/api/v1/whatsapp-accounts/{account_id}/proxy/{waba_id}/message_templates",
    headers={"X-API-Key": "YOUR_API_KEY"}
)

templates = response.json()
print(templates["data"])

Response

{
  "data": [
    {
      "name": "hello_world",
      "status": "APPROVED",
      "category": "UTILITY",
      "language": "en_US",
      "components": [
        {
          "type": "BODY",
          "text": "Hello {{1}}! Welcome to our service."
        }
      ],
      "id": "123456789"
    }
  ],
  "paging": {
    "cursors": {
      "before": "...",
      "after": "..."
    }
  }
}
Replace {account_id} with your WhatsApp Account ID (from the Waxle API) and {waba_id} with your WhatsApp Business Account ID (from Meta).You can find your WABA ID in the account details returned by GET /whatsapp-accounts/{id}/.

Other Common GET Requests

PathDescription
{waba_id}/message_templatesList all message templates
{waba_id}/phone_numbersList phone numbers in the account
{phone_number_id}Get phone number details
{phone_number_id}/whatsapp_business_profileGet business profile
Look to the WhatsApp Business API documentation for more information on the available endpoints.

Authorizations

X-API-Key
string
header
required

API key authentication. Pass your API key in the X-API-Key header.

Path Parameters

id
string
required
path
string
required
Pattern: ^.+$

Response

200 - application/json
id
string<uuid>
required
read-only
waId
string
required
phoneNumbers
string
required
read-only
templatesUrl
string
required
read-only
name
string | null
Maximum string length: 255